Skip to content

Specifying add-message channel ​

To specify channels with the add-message endpoint, you specify a list of channel strings in fallback order.

Making the request ​

add-message accepts a channels key as part of the request. This parameter expects an array of strings, and each string is expected to be one of the valid accepted channel values.

In this example, we're aiming to send a message to the rcs channel. If it fails to deliver via RCS, it will fall back to sending via the sms channel.


POST https://mplus.instagiv.com/message
json
{
    "messages": [
        {
            "from": {
                "type": "custom",
                "value": "mplus-test"
            },
            "to": "441111111111",
            "body": "This is a test message!",
            "channels": ["rcs", "sms"]
        }
    ]
}

response body

json
{
    "messages": [
        {
            "to": "441111111111",
            "body": "This is a test message!",
            "from": {
                "type": "custom",
                "value": "mplus-test"
            },
            "batchUuid": "c4ae0c8a-bbb2-4ce3-8ebc-5d8df1751d8d",
            "messageUuid": "c385bb6e-32f0-4952-a198-c5ed2a00161b",
            "scheduled": false
        },
    ]
}

Accepted channels ​

Currently, we accept two channels to the add-message endpoint

valueChannel
smsSMS
rcsRCS

Messaging Plus is a Cymba API